Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config.format
Class Item

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.format.Item

All Implemented Interfaces:
  java.io.Serializable

    public class Item

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: Item.java,v 1.4 2009/01/19 14:06:34 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`Item()`

Method Summary
`void` | `addNote(int index, Note vNote)`
`void` | `addNote(Note vNote)`
`java.util.Enumeration<? extends Note>` | `enumerateNote()` Method enumerateNote.
`boolean` | `equals(java.lang.Object object)`
`java.lang.String` | `getDecimals()` Returns the value of field 'decimals'.
`java.lang.String` | `getId()` Returns the value of field 'id'.
`Note[]` | `getNote()` Method getNote.Returns the contents of the collection in an Array.
`Note` | `getNote(int index)` Method getNote.
`int` | `getNoteCount()` Method getNoteCount.
`org.exolab.castor.types.Date` | `getReportingDate()` Returns the value of field 'reportingDate'.
`ItemSignType` | `getSign()` Returns the value of field 'sign'.
`Unittype` | `getUnit()` Returns the value of field 'unit'.
`java.lang.String` | `getValue()` Returns the value of field 'value'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllNote()`
`boolean` | `removeNote(Note vNote)` Method removeNote.
`Note` | `removeNoteAt(int index)` Method removeNoteAt.
`void` | `setDecimals(java.lang.String decimals)` Sets the value of field 'decimals'.
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setNote(int index, Note vNote)`
`void` | `setNote(Note[] vNoteArray)`
`void` | `setReportingDate(org.exolab.castor.types.Date reportingDate)` Sets the value of field 'reportingDate'.
`void` | `setSign(ItemSignType sign)` Sets the value of field 'sign'.
`void` | `setUnit(Unittype unit)` Sets the value of field 'unit'.
`void` | `setValue(java.lang.String value)` Sets the value of field 'value'.
`static Item` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Item

    public Item()

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### addNote

    public void addNote(Note vNote)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vNote` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addNote

    public void addNote(int index,
                        Note vNote)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNote` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateNote

    public java.util.Enumeration<? extends Note> enumerateNote()

  Method enumerateNote.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.format.Note elements

### getDecimals

    public java.lang.String getDecimals()

  Returns the value of field 'decimals'.

  Returns:
    the value of field 'Decimals'.

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getNote

    public Note getNote(int index)
                 throws java.lang.IndexOutOfBoundsException

  Method getNote.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.format.Note at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getNote

    public Note[] getNote()

  Method getNote.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getNoteCount

    public int getNoteCount()

  Method getNoteCount.

  Returns:
    the size of this collection

### getReportingDate

    public org.exolab.castor.types.Date getReportingDate()

  Returns the value of field 'reportingDate'.

  Returns:
    the value of field 'ReportingDate'.

### getSign

    public ItemSignType getSign()

  Returns the value of field 'sign'.

  Returns:
    the value of field 'Sign'.

### getUnit

    public Unittype getUnit()

  Returns the value of field 'unit'.

  Returns:
    the value of field 'Unit'.

### getValue

    public java.lang.String getValue()

  Returns the value of field 'value'.

  Returns:
    the value of field 'Value'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllNote

    public void removeAllNote()

### removeNote

    public boolean removeNote(Note vNote)

  Method removeNote.

  Parameters:
    `vNote` -
  Returns:
    true if the object was removed from the collection.

### removeNoteAt

    public Note removeNoteAt(int index)

  Method removeNoteAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setDecimals

    public void setDecimals(java.lang.String decimals)

  Sets the value of field 'decimals'.

  Parameters:
    `decimals` - the value of field 'decimals'.

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setNote

    public void setNote(int index,
                        Note vNote)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNote` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setNote

    public void setNote(Note[] vNoteArray)

  Parameters:
    `vNoteArray` -

### setReportingDate

    public void setReportingDate(org.exolab.castor.types.Date reportingDate)

  Sets the value of field 'reportingDate'.

  Parameters:
    `reportingDate` - the value of field 'reportingDate'.

### setSign

    public void setSign(ItemSignType sign)

  Sets the value of field 'sign'.

  Parameters:
    `sign` - the value of field 'sign'.

### setUnit

    public void setUnit(Unittype unit)

  Sets the value of field 'unit'.

  Parameters:
    `unit` - the value of field 'unit'.

### setValue

    public void setValue(java.lang.String value)

  Sets the value of field 'value'.

  Parameters:
    `value` - the value of field 'value'.

### unmarshal

    public static Item unmarshal(java.io.Reader reader)
                          throws org.exolab.castor.xml.MarshalException,
                                 org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.format.Item
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD